Subject: Re: [Sip] again: issues on two different session policies in the draft"draft-ietf-sip-session-policy-framework-04"

From: Volker Hilt <[email-masked]>
Date: Sat, 01 Nov 2008 13:59:46 -0400

Isal,

here are some answers to your questions:
> 
> Sorry :), besides the below point to be clarified by you, could you explain
> another place which forgets to be added in the below email from the the
> figure "B.3" ? 
> 
> when UA B finishes applying the policies from PSA and PSB in the order, why
> does UA B  apply policies from PSA and PSB again like the indication from
> the step 12 to the step 19?  if being session description updated,  how does
> UA B know to stop applying PSA and PSB? moreover, why should not the step 16
> be "SUBSCRIBE<o''', a'''>" ?  
> 
Steps (12) to (19) are necessary if a policy contains elements that need 
to be shared among policy servers. For example, if both policy servers 
insert media intermediaries, then each intermediary needs to know the 
address of the other intermediary so that media streams can be exchanged 
between them. This is discussed in section 4.5.2.

After two rounds of subscriptions, all policy servers were able to i) 
submit their policies and ii) receive infos from other policy servers 
(if needed). There is no need for more rounds.

> Additionally,  there are still another places  for the figure 3 and figure 4
> in the draft needs to be clarified, can you ?   
> 
> As follows,
> 
> From the context, whether should they be "policy channel
> +infoOffer+InfoAnswer" for the step (9) and (10) in the figure 3 and for 
> +infoOffer+the
> step (12) and (13) in the figure 4 in the draft?
> 
> I wonder whether it is my fault or other question, such as typo error, other
> explanation:)
> 
Good catch! InfoOffer and PolicyOffer is indeed missing in (9) and (10) 
in figure 3 and (12) and (13) in figure 4. The figures in the appendix 
had the correct flows.

I'll submit an updated version that fixes the bugs.

Thanks,

Volker

> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Volker
> Hilt
> Sent: Wednesday, September 24, 2008 12:02 AM
> To: Yuxia Zhang
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Sip] issues on two different session policies in the
> draft"draft-ietf-sip-session-policy-framework-04"
> 
> Yuxia Zhang wrote:
>> hi, all
>>  
>> some issues on two diffrent session policies of draft-ietf-sip-sip 
>> session policy-framework need to be queried. could you help me? thanks.
>> as follow,
>>  
>> Producedures in the draft only describe the usage of the 
>> session-specific policy, is right? so as for the session-independent 
>> policy, how does UAC retrieve it?
> 
> Session-independent policies make use of the config framework
> (http://tools.ietf.org/html/draft-ietf-sipping-config-framework-15) as
> described in the draft.
> 
>> it is only through SUBSCRIBE request and only simple interactive, is 
>> it ? Then UA will retrieve the session-indepdent immediately  when UA 
>> registering himself into the network as the said in the draft that the 
>> session-independent  policy always is applied before the 
>> session-specific policy, is right ?
>>  
> The UA will get session-independent policies when setting up the
> subscription using the config framework as described in section 3.2. 
> Yes, session-independent policies are applied before session-specific
> policies are applied.
> 
>> if my understanding is right, is it indicated that there is no collide 
>> for retrieve of two different policies, then it is no necessary for 
>> UAC to differentiate the two different policies, so does the policy 
>> server
> ?
>>  
> There should be no need for the UA or the policy server to differentiate
> between the two policies. They are applied in the order described above.
> 
> Thanks,
> 
> Volker
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use
> [email-masked] for questions on current sip Use
> [email-masked] for new developments on the application of sip
> 
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use
> [email-masked] for questions on current sip Use
> [email-masked] for new developments on the application of sip
> 
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip